Bug 1125920 - oVirt 3.4 installer does not store all answers in the file
Summary: oVirt 3.4 installer does not store all answers in the file
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-installer
Version: 3.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Simone Tiraboschi
QA Contact: Antonin Pagac
URL:
Whiteboard: integration
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 10:55 UTC by Lukas Zapletal
Modified: 2014-12-15 15:06 UTC (History)
6 users (show)

Fixed In Version: ovirt-3.5.0_rc1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:21:45 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31664 master MERGED packaging: setup: adding local storage domain name to answer file Never
oVirt gerrit 31665 ovirt-engine-3.5 MERGED packaging: setup: adding local storage domain name to answer file Never

Description Lukas Zapletal 2014-08-01 10:55:53 UTC
When doing oVirt 3.4 all-in-one setup, stored answer file does not contain all the information. When I try to run the installer with the answer file on a different host, it asks for "Local storage domain name". This option is missing from the answer file.

This is the test case with an answer file generated by the 3.4 installer:

  cat >/tmp/ovirt-answer-file.conf <<EOAF
# action=setup
[environment:default]
OVESETUP_CORE/engineStop=none:None
OVESETUP_DIALOG/confirmSettings=bool:True
OVESETUP_DB/database=str:engine
OVESETUP_DB/fixDbViolations=none:None
OVESETUP_DB/secured=bool:False
OVESETUP_DB/host=str:localhost
OVESETUP_DB/user=str:engine
OVESETUP_DB/securedHostValidation=bool:False
OVESETUP_DB/password=str:R3f527AblD9vA0Tk5xiGQb
OVESETUP_DB/port=int:5432
OVESETUP_SYSTEM/nfsConfigEnabled=bool:True
OVESETUP_SYSTEM/memCheckEnabled=bool:True
OVESETUP_PKI/organization=str:TestOrganization
OVESETUP_CONFIG/isoDomainName=str:ISO_DOMAIN
OVESETUP_CONFIG/adminPassword=str:ovirt
OVESETUP_CONFIG/applicationMode=str:both
OVESETUP_CONFIG/firewallManager=str:iptables
OVESETUP_CONFIG/updateFirewall=bool:True
OVESETUP_CONFIG/websocketProxyConfig=bool:True
OVESETUP_CONFIG/fqdn=str:$(hostname -f)
OVESETUP_CONFIG/isoDomainACL=str:0.0.0.0/0.0.0.0(rw)
OVESETUP_CONFIG/isoDomainMountPoint=str:/var/lib/exports/iso
OVESETUP_CONFIG/storageType=str:nfs
OVESETUP_PROVISIONING/postgresProvisioningEnabled=bool:True
OVESETUP_APACHE/configureRootRedirection=bool:True
OVESETUP_APACHE/configureSsl=bool:True
OSETUP_RPMDISTRO/requireRollback=none:None
OSETUP_RPMDISTRO/enableUpgrade=none:None
OVESETUP_AIO/configure=bool:True
OVESETUP_AIO/storageDomainDir=str:/var/lib/images
EOAF

  engine-setup --config=/tmp/ovirt-answer-file.conf
  ...
  > Please enter "Local storage domain name":


Please provide me workaround how to add this piece into the answer file. Thanks.

Comment 1 Antonin Pagac 2014-09-05 14:51:22 UTC
Verified in: oVirt Engine Version: 3.5.0-0.0.master.20140821064931.gitb794d66.el6

Comment 2 Sandro Bonazzola 2014-10-17 12:21:45 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.